[ANNOUNCEMENT] meta-intel 13.0 layer for yocto project "dunfell" 3.1 is now available


Vineela
 

Hello,

We are pleased to announce the meta-intel 13.0 layer for the Yocto Project 3.1 "dunfell" release is now available for download.
Thank you for everyone's contributions to this release.

Vineela Tummalapalli
Intel Corporation


------------------------------
13.0-dunfell-3.1 Release Notes
------------------------------

--------------------------
Repositories/Downloads
--------------------------

Release Name: meta-intel-13.0-dunfell-3.1
Branch: dunfell
Tag: 13.0-dunfell-3.1
Hash: 81cfa07db0ca5f756179af2af5799a2fce5ee7ee
sha: c97257c74e2a4bff6d254b0e3a5fc22c3e5b1325f7d2d90ab8245d3f01d9ef2b
Download Locations:
http://downloads.yoctoproject.org/releases/yocto/yocto-3.1/meta-intel-13.0-dunfell-3.1.tar.bz2
http://mirrors.kernel.org/yocto/yocto/yocto-3.1/meta-intel-13.0-dunfell-3.1.tar.bz2


---------------------------
New Features / Enhancements
---------------------------
*libva-utils: add recipe v2.7.1
*libva: add recipe v2.7.0
*librealsense: Initial recipe for Intel Real Sense SDK

Runtime testcases are added in below components:
*OpenVINO dldt Inference Engine and Model Optimizer
-Remove cpu extension
-Check MYRIAD device before test
-Enable check available ie devices
-Enable inference engine and model optimizer tests
*Mkldnn
-Check onednn file exist
-Update tests as mkldnn rename to onednn
-Add mkldnn tests
*Intel MediaSDK
-Enable sanity test
*Intel Vaapi Driver
-Set i965 dirver for tests
-Enable sanity test
*Isal
-Enable sanity test
*Libipt
-Enable sanity test
-Enable test package
*Libxcam
-Enable sanity test
-Enable test package
*Thermal
-Enable sanity test
*Jhi
-Enable sanity test
*RT Image testing
-Enable cyclictest for image with rt kernel

------------------
Updates/Upgrades
------------------
mkl-dnn: upgrade 1.2.2 -> 1.4
compute-runtime: upgrade 20.14.16441 -> 20.15.16524
intel-graphics-compiler: upgrade 1.0.3698 -> 1.0.3771
dldt-model-optimizer: upgrade 2019r3.1 -> 2020r1
linux-intel-rt/5.4: update to v5.4.26
linux-intel/5.4: bump to v5.4.28
intel-mediasdk: upgrade 19.4.0 -> 20.1.0
intel-media-driver: upgrade 19.4.0 -> 20.1.1
gmmlib: upgrade 19.4.1 -> 20.1.1
intel-compute-runtime: upgrade 20.12.16259 -> 20.14.16441
intel-graphics-compiler: upgrade 1.0.3586 -> 1.0.3698
dldt: upgrade 2019r3.1 -> 2020r1
ngraph: upgrade 0.22.1 -> 2.29.0-rc0
lms: upgrade v2003.0.0.0 -> v2011.0.0.0
ace: upgrade 6.5.3 -> 6.5.8
librealsense: upgrade 2.29.0 -> 2.33.1
isa-l: upgrade 2.28.0 -> 2.29.0
mkl-dnn: upgrade 1.2 -> 1.2.2
intel-compute-runtime: upgrade 20.04.15428 -> 20.10.16259
intel-graphics-compiler: upgrade 1.0.3151 -> 1.0.3586
opencl-clang: upgrade 9.0.0 -> 10.0.0
llvm-spirv: upgrade 9.0.0 -> 10.0.0
linux-intel/4.19: update to v4.19.106
linux-intel-rt/5.4: update to v5.4.22
linux-intel/5.4: bump to v5.4.22
linux-intel-rt/5.4: update to v5.4.17-rt9
linux-intel-rt/4.19: update to v4.19.94
linux-intel/4.19: update to v4.19.94
linux-intel/5.4: update to v5.4.15
intel-vaapi-driver: fix meson build
intel-compute-runtime: upgrade 19.44.14658 -> 20.04.15428
intel-graphics-compiler: upgrade 1.0.2714.1 -> 1.0.3151
hdcp: upgrade 19.3.0 -> 19.4.0
sbsigntool: upgrade v0.9.2 -> v0.9.3
metee: upgrade v2.1.1 -> v2.2.0
intel-mediasdk: upgrade 19.3.1 -> 19.4.0
intel-media-driver: upgrade 19.3.1 -> 19.4.0
gmmlib: upgrade 19.3.2 -> 19.4.1
mkl-dnn: upgrade v1.1.1 -> v1.2
lms: upgrade 1932.0.0.0 -> 2003.0.0.0
linux-intel/5.4: update to v5.4.8
linux-intel/5.4: update to v5.4.6
linux-intel-dev: update to v5.5-rc3
llvm-project-source: update SPIRV-LLVM-Translator 9.0.0 -> v9.0.0-1
intel-media-driver: upgrade 19.2.1 > 19.3.1
intel-mediasdk: upgrade 19.2.1 -> 19.3.1
intel-compute-runtime: upgrade 19.35.13977 -> 19.44.14658
gmmlib: upgrade 19.2.3 -> 19.3.2
intel-graphics-compiler: upgrade 1.0.11 -> 1.0.2714.1
ixgbe: upgrade 5.6.3 -> 5.6.5
ixgbevf: upgrade 4.6.1 -> 4.6.3
thermald: upgrade 1.9 -> 1.9.1
intel-vaapi-driver: upgrade 2.3.0 -> 2.4.0
linux-intel/4.19: update to v4.19.87
mkl-dnn: upgrade v1.1 -> v1.1.1
intel-microcode: upgrade 20191112 -> 20191115
linux-intel-rt/4.14: update to v4.14.146
linux-intel/4.19: update to v4.19.80
linux-intel/4.14: update to v4.14.152
linux-intel-rt/4.19: update to v4.19.72
intel-microcode: upgrade 20190918 -> 20191112
dldt-model-optimizer: upgrade 2019r3 -> 2019r3.1
dldt-inference-engine: upgrade 2019r3 -> 2019r3.1

--------------
Known Issues
--------------
N/A

---------------
Security Fixes
---------------
For Intel processor-specific security information please visit https://software.intel.com/en-us/side-channel-security-support

Method information on Intel's Security Center site:
https://security-center.intel.com/advisory.aspx?intelid=INTEL-SA-00088&languageid=en-fr

Intel Security Center:
https://security-center.intel.com/default.aspx


---------------
Fixes
---------------
linux-intel/4.19: remove
Revert "virtualization: include virtualization feature in linux-intel 4.19 kernel"
intel-skylake-64: add it to dpdk COMPATIBLE_MACHINE
opencl-clang: fix runtime error
libva-utils-intel: keep upgraded libva-utils version to meta-intel MACHINE specific
libva-intel: keep upgraded libva version to meta-intel MACHINE specific
qemuboot-intel: use Skylake-Client instead of kvm64
dldt-inference-engine: fix RDEPENDS when python is enabled
dldt-inference-engine: fix installation of samples
intel-compute-runtime: include in world builds
layer.conf: update LAYERSERIES_COMPAT to dunfell
intel-compute-runtime: fix missing header error
itt: fix upstream release checking
itt: upgrade to release tag
thermald: fix 32-bit build error with musl v1.2.0
linux-yocto/5.2: remove bbappends
itt: switch git repo
virtualization: include virtualization feature in linux-intel 4.19 kernel
linux-intel: remove not supported snd configuration
ixgbe/ixgbevf: exclude from world builds
itt: Add missing header and library
dldt-inference-engine: use libdir when installing python modules
linux-intel: backport commit from mainline to fix perf builds
linux-yocto: allow building 5.4 linux-yocto kernel with meta-intel
linux-yocto/4.19: remove appends
wic: remove APPEND from .wks.in
llvm-project-source: drop patch
dldt-inference-engine: fix DEPENDS
conf/machine: set preferred RT kernel to 5.4
linux-intel-rt/5.4: introduce -rt recipe for 5.4
linux-intel: allow other layers to set LINUX_VERSION_EXTENSION
linux-intel: remove 4.14 kernel and related patch
meta-intel.inc: Update linux-intel PREFERRED_VERSION to 5.4
opencl-clang: update to link against SPIR-V LLVM Translator v9.0.0-1
linux-intel_5.4: Add latest LTS kernel
ace: switch to using github release tarball instead of ftp
librealsense: fix upstream release checking
thermald: fix the url
README: update mailing list address
recipes: use features_check instead of deprecated distro_features_check
clang: drop bbappend
vino: set CVE_PRODUCT
mediasdk: set CVE_PRODUCT
ixgbe: set CVE_PRODUCT
mkl-dnn: set CVE_PRODUCT
dldt-inference-engine: install custom opencl kernels as well

Join yocto-announce@lists.yoctoproject.org to automatically receive all group messages.